package com.bcxin.risk.surveytk.enums;

/**
 * @author hzp
 * 协助类型枚举
 */
public enum AssistTypeEnum {

    APPLY_EXPERT("APPLYEXPERT","申请专家"),
    TASK_TRANSFER("TRANSFERTASK","任务移交");

    private String key;
    private String alias;

    AssistTypeEnum(String key, String alias){
        this.key=key;
        this.alias=alias;
    }

    public String getKey(){
        return this.key;
    }

    public String getAlias(){
        return this.alias;
    }

    public static String getAlias(String key){
        for(AssistTypeEnum e : AssistTypeEnum.values()){
            if(e.getKey().equals(key)){
                return e.getAlias();
            }
        }
        return "";
    }
}
